clear, close all

x=linspace(-4,4)';
y=linspace(-4,4)';



mu=[0 0];

sigma_rear=[0.1 0;
            0   1.5];
sigma_front=[0.9 0;
             0 1.5];
         
max_rear=max(mvnpdf([x y],mu,sigma_rear));
max_front=max(mvnpdf([x y],mu,sigma_front));

PS=zeros(size(x,2),1);
for i=1:1:length(x)
    for j=1:1:length(y)
        if x(i)<0
            PS(j,i)=mvnpdf([x(i) y(j)],mu,sigma_rear)/max_rear;
        else
            PS(j,i)=mvnpdf([x(i) y(j)],mu,sigma_front)/max_front;
        end
    end
end

figure(1)

hold on
[X, Y]=meshgrid(x,y);
surf(X,Y,PS,'FaceColor','interp')
quiver3(0,0,1,3,0,0,'w','LineWidth',3)
hold off
set(gca, 'Fontsize',15)
colormap jet
colorbar
grid on
xlabel('X'); ylabel('Y'); zlabel('PS')
xlim([-4,4]); ylim([-4,4]); zlim([0,1])